<?php
/**
* function template used by Winter
*
* Authors: wpart
* Copyright: 2012
* {@link http://www.wpart.org/}
*
* Released under the terms of the GNU General Public License.
* You should have received a copy of the GNU General Public License,
* along with this software. In the main directory, see: /licensing/
* If not, see: {@link http://www.gnu.org/licenses/}.
*
* @package Winter
* @since 1.0
*/
function Winter_widgets_init() {    
	register_sidebar(array(
	    'id' => 'sidebar',
		'name' =>'sidebar' ,
		'before_widget' => '<li id="%1$s" class="side widget %2$s"><div class="side_bg"></div>', 
		'after_widget' => '</li>',
		'before_title' => '<h3 class="title3">', 
		'after_title' => '</h3>' 
	));
}
add_action( 'widgets_init', 'Winter_widgets_init');

if ( ! isset( $content_width ) )
	$content_width =700;
	
function Winter_setup() {
	require( get_template_directory() . '/inc/theme-options.php' );
	$default = array(
		'default-color' => '000000',
		'default-image' => get_template_directory_uri() . '/images/bg2.jpg',
	);
	add_theme_support( 'custom-background', $default );
	add_editor_style();
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 703, 9999);
	add_theme_support( 'automatic-feed-links' );
	register_nav_menus( array(
		'primary' => 'Primary Menu',
	) );		
	add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) );
	
	add_theme_support( 'custom-header' );
	defined( 'HEADER_IMAGE' );
	define( 'HEADER_IMAGE', '%s/images/banner.jpg' );
	define( 'HEADER_IMAGE_WIDTH', 962 );
	define( 'HEADER_IMAGE_HEIGHT', 306 );
	define( 'NO_HEADER_TEXT', true );
}
add_action( 'after_setup_theme', 'Winter_setup' );

?>